# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   pythonProject
# FileName:      read_json.py
# Author:       shengjuan
# Datetime:     2024/3/18 18:49
# Description:
# 
# ---------------------------------------------------------------------------
import json
import os.path

from stu_requests.InterfaceAutoTest import log_decorator


@log_decorator
def read_json(filename:str):
    """读取json文件"""
    if os.path.isfile(filename) and filename.endswith(".json"):
        try:
            with open(filename,mode="r",encoding="utf-8") as fp:
                return json.loads(fp.read())
        except:
            raise IOError("文件内容错误")
    else:
        raise FileNotFoundError("传入的文件路径错误")

if __name__ == '__main__':
    print(read_json(r"C:\Python\pythonProject\stu_requests\InterfaceAutoTest\data_config\李四\sql_data.json"))